/*
 * Samsung API
 * Copyright (c) 2009-2015 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef LAYOUT_VIEW_H_
#define LAYOUT_VIEW_H_

#include <Evas.h>
#include "model/notification_control.h"

typedef struct _cb_data
{
	Evas_Object *navi;
	notification_data *notify_data;
} cb_data;


enum list_type
{
	MAIN_LIST = 0,
	NOTIFICATION_LIST,
	ONGOING_NOTIFICATION_LIST
};


#define LISTEDJ _get_resource_path("edje/list_content.edj")


/**
 * @brief Add result view to naviframe
 * @param[in]   parent  parent widget
 * @param[in]   notify_info
 * @return added layout
 */
Evas_Object *layout_view_result_view_add(Evas_Object *navi, notification_data *notify_info);

/**
 * @brief Add main list layout to application main window
 * @param[in]   app_data
 * @return added layout
 */
Evas_Object *layout_view_add_scroll_list(Evas_Object *navi, int list_type);

#endif /* LAYOUT_VIEW_H_ */
